<?php

declare(strict_types=1);

namespace PpPhp\Core\Platform\Services\Contracts;

interface ServiceProviderInterface
{
    public function id(): string;

    public function label(): string;

    public function version(): string;

    public function register(ServiceRegistryInterface $registry): void;
}
